require File.expand_path('../../../change_types/base', __FILE__)

module Nucleo
  module Models
    module ChangeTypes
      module Seo
        class Base < Nucleo::Models::ChangeTypes::Base
          VALID_ACTIONS   = %w( insert update remove ).freeze
          VALID_SELECTORS = %w( class content id name src ).freeze

          # Returns the action
          #
          # @return [String]
          def action
            rule['action']
          end

          # Returns the content to insert/replace
          #
          # @return [String]
          def content
            rule['content']
          end

          # Returns the selector
          #
          # @return [String]
          def selector
            rule['selector']
          end

          # Returns a string value that uniquely identifies
          # and item by the `selector` provided.
          #
          # @return [String]
          def selector_content
            rule['selector_content']
          end

          # Returns the string value of the content to be replaced
          #
          # @return [String]
          def content
            rule['content']
          end
        end
      end
    end
  end
end
