
module Nucleo
  module Models
    class CheckJS
      # Returns an instanc eof the Site Feed domain model
      #
      # @param attributes [Hash]
      #
      # @return [Nucleo::Models::SiteFeed]
      def initialize(attributes={})
        @attributes = attributes
      end

      def self.check_js(url)
        response_body = Nucleo::Requests::CheckJS.retrieve({url: url})

        self.new(response_body)
      end

      def body?
        @attributes.fetch("body")
      end

      def head?
        @attributes.fetch("head")
      end

      def other?
        @attributes.fetch("other")
      end

      def installed?
        @attributes.fetch("installed")
      end

      def installed_correctly?
        self.head? and not (self.body? or self.other?)
      end
    end
  end
end
