module Nucleo
  module Models
    class Elements
      include Enumerable

      # Return an instance of the Rules collection domain model
      #
      # @param collection [Array]
      #
      # @return [Nucleo::Models::Changes]
      def initialize(collection)
        @collection = Array(collection)
      end

      def each(&block)
        internal_collection.each(&block)
      end

      def find_content
        self.collect { |r| r.content if r.content_present? }
      end

      def find_image_src
        self.collect { |r| r.image_src if r.image? }
      end

      private
      def internal_collection
        core_collection = []

        @collection.inject(core_collection) do |collection,record|
          const_name = ['nucleo', 'models', 'element'].map(&:camelcase).join('::')

          begin
            collection.push(Object.const_get(const_name).new(record))
          rescue
            Nucleo::Client.configuration.logger.fatal("Could not instantiate: %s" % [const_name])
          end

          collection
        end

        Array(core_collection)
      end
    end
  end
end
