module Nucleo
  module Models
    module FeedTypes
      module Seo
        module Page

          class PageTitle < Nucleo::Models::FeedTypes::Seo::Page::Base
            # Returns the class level feed summary title
            #
            # @return [String]
            def self.feed_summary
              "<strong>page title</strong> feed summary"
            end

            # Delegate to the class level feed summary
            #
            # @return [String]
            def feed_summary
              self.class.feed_summary
            end

            # Returns the headline based on the length of the content
            #
            # @return [String]
            def headline
              "page title headline"
            end

            # Returns the detailed summary
            #
            # @return [String]
            def long_summary
              "page titles long summary"
            end

            # Returns the short summary
            #
            # @return [String]
            def short_summary
              "Page titles are customers first impression in search results."
            end
          end

        end
      end
    end
  end
end
