module Nucleo
  module Models
    module FeedTypes
      module Seo
        module Page

          class Summary < Nucleo::Models::FeedTypes::Seo::Page::Base
            # Returns an instance of the SeoScore domain model
            #
            # @return [Nucleo::Models::SeoScore]
            def seo_score
              params = {
                'score' => data['seo_score'],
                'grade' => data['seo_grade']
              }

              Nucleo::Models::SeoScore.new(params)
            end

            # Returns an instance of the PageRank domain model
            #
            # @return [Nucleo::Models::PageRank]
            def page_rank
              params = {
                'rank'     => data['page_rank'],
                'rank_max' => data['page_rank_max']
              }

              Nucleo::Models::PageRank.new(params)
            end

            # Returns the number of page views
            #
            # @return [Integer]
            def page_views
              data['page_views'].to_i
            end
            alias :pageviews :page_views

            # Returns the count of issues (children recommendations)
            #
            # @return [Integer]
            def issue_count
              data['issue_count'].to_i
            end
          end

        end
      end
    end
  end
end
