require File.expand_path('../metric_period_row', __FILE__)

module Nucleo
  module Models
    class MetricPeriodRows
      include Enumerable

      def initialize(metric, dimension, period_name, collection)
        @metric      = metric
        @dimension   = dimension
        @period_name = period_name
        @collection  = Array(collection)
      end

      def each(&block)
        internal_collection.each(&block)
      end

      private
      def internal_collection
        @collection.map do |r|
          params = {
            'metric'      => @metric,
            'dimension'   => @dimension,
            'period_name' => @period_name,
            'row'         => r
          }

          Nucleo::Models::MetricPeriodRow.new(params)
        end
      end
    end
  end
end
