module Nucleo
  module Models
    class PageRank
      # Returns an instance of the PageRank domain model
      #
      # @param attributes [Hash]
      #
      # @return [Nucleo::Models::PageRank]
      def initialize(attributes={})
        @attributes = attributes
      end

      # Returns the numeric rank
      #
      # @return [Integer]
      def rank
        @attributes['rank'].to_i
      end

      # Returns the numeric rank max
      #
      # @return [Integer]
      def rank_max
        @attributes['rank_max'].to_i
      end
    end
  end
end
