module Nucleo
  module Models
    class Pages
      include Enumerable

      def initialize(collection)
        @collection = Array(collection)
      end

      def self.all(site_id)
        response_body = Nucleo::Requests::Page.all(site_id)

        Nucleo::Models::Feed.for_record(response_body)
      end

      def self.retrieve(site_id, id)
        response_body = Nucleo::Requests::Page.retrieve(site_id, id)

        Nucleo::Models::Page.new(response_body)
      end

      def self.retrieve!(site_id, id)
        response_body = Nucleo::Requests::Page.retrieve!(site_id, id)

        Nucleo::Models::Page.new(response_body)
      end

      def each(&block)
        internal_collection.each(&block)
      end

      private
      def internal_collection
        @collection.map do |r|
          Nucleo::Models::Page.new(r)
        end
      end
    end
  end
end
