module Nucleo
  module Models
    class SeoScore
      # Returns an instance of the SeoScore domain model
      #
      # @param attributes [Hash]
      #
      # @return [Nucleo::Models::SeoScore]
      def initialize(attributes={})
        @attributes = attributes
      end

      # Returns the numeric score
      #
      # @return [Integer]
      def score
        @attributes['score'].to_i
      end

      # Returns an alpha grade
      #
      # @return [String]
      def grade
        @attributes['grade']
      end
    end
  end
end
