module Nucleo
  module Models
    class Tags
      include Enumerable

      def initialize(collection)
        @collection = Array(collection)
      end

      def each(&block)
        internal_collection.each(&block)
      end

      # Returns true if there is a snipped
      #
      # @return [Boolean]
      def has_snippet?
        self.any?
      end
      alias :snippet? :has_snippet?

      # Returns the code snippet
      #
      # @return [String]
      def snippet
        self.map(&:snippet).join("\n")
      end

      private
      def internal_collection
        @collection.map { |r| Nucleo::Models::Tag.new(r) }
      end
    end
  end
end
