module Nucleo
  module Requests
    class CheckJS

      # Check if a url has the JS installed
      #
      # @param url [String] The url to check
      #
      # @return [JSON]
      def self.retrieve(params={})
        url = params[:url]

        default_params = {
          :url => url,
        }

        request_params = default_params.merge!(params)

        route = Nucleo::Client.routes.route_for('util-checkjs')
        url   = route.url_for(request_params)

        request = Nucleo::Client.get(url)

        request.on(:success) do |resp|
          response_body = resp.body

          if response_body.is_a?(Hash) && response_body.has_key?("errorType")
            Nucleo::Client.configuration.logger.error do
              "ERR: %s" % [response_body]
            end

            return {}
          else
            return response_body
          end
        end

        request.on(:failure) do |resp|
          Nucleo::Client.configuration.logger.error do
            "App Error: %s" % [resp.body]
          end

          return {}
        end

        request.on(:server_error) do |resp|
          Nucleo::Client.configuration.logger.error do
            "Server Error: %s" % [resp.body]
          end

          return {}
        end
      end
    end
  end
end
