module Nucleo
  module Requests
    class PageAlerts
      def self.retrieve(site_id, params={})
        type = params.fetch(:type)

        route = Nucleo::Client.routes.route_for('site-page-alerts')
        url   = route.url_for(site_id: site_id, type: type)

        request = Nucleo::Client.get(url)

        request.on(:success) do |resp|
          response_body = resp.body

          return response_body
        end

        request.on(:failure) do |resp|
          Nucleo::Client.configuration.logger.error do
            "App Error: %s" % [resp.body]
          end

          return nil
        end

        request.on(:server_error) do |resp|
          Nucleo::Client.configuration.logger.error do
            "Server Error: %s" % [resp.body]
          end

          return nil
        end
      end
    end
  end
end
