module Nucleo
  module Requests
    class PageChanges
      def self.create(site_id, page_id, attributes={})
        route = Nucleo::Client.routes.route_for('site-page-changes')
        url   = route.url_for(site_id: site_id, page_id: page_id)

        request_params = attributes

        request = Nucleo::Client.post(url, MultiJson.dump(request_params))

        request
      end

      def self.update(site_id, page_id, attributes={})
        route = Nucleo::Client.routes.route_for('site-page-changes')
        url   = route.url_for(site_id: site_id, page_id: page_id)

        request = Nucleo::Client.patch(url, MultiJson.dump(request_params))

        request
      end

      def self.delete(site_id, page_id, attributes={})
        route = Nucleo::Client.routes.route_for('site-page-changes')
        url   = route.url_for(site_id: site_id, page_id: page_id)

        request = Nucleo::Client.delete(url, MultiJson.dump(request_params))

        request
      end

      def self.index(site_id, page_id)
        route = Nucleo::Client.routes.route_for('site-page-changes')
        url   = route.url_for(site_id: site_id, page_id: page_id)

        request = Nucleo::Client.get(url)

        request
      end

    end
  end
end
