module Nucleo
  class Webhook
    # Registers a new site.  Responds true or false if the webhook was successful.
    #
    # @param Hash :site  (dump of Site model expected)
    #
    # @return [Boolean]
    def self.register_site(site)
      method = :post
      path = 'sites'

      # Convert id into site_id (as expected from Site model)
      site['site_id'] = site['id']

      body = site.to_json

      begin
        response = Nucleo::request(method, path, body)
      rescue NucleoRequestError => e
        print e.message
      end

      response
    end
  end
end
